Name:           clutter-imcontext
Version:        0.1.4
Release:        2%{?dist}
Summary:        IMContext Framework Library for Clutter

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://www.moblin.org/
Source0:        http://git.moblin.org/cgit.cgi/%{name}/snapshot/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: glib2-devel
BuildRequires: clutter-devel >= 1.0.0
BuildRequires: gtk-doc

# Require these because the git tarball doesn't have the configure built
BuildRequires: libtool

%description
IMContext Framework Library for Clutter

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: clutter-devel
Requires: pkgconfig
Requires: gtk-doc

%description devel
Files for development with %{name}.

%prep
%setup -q

# Don't run configure from autogen.sh
sed -i 's|echo|exit 0|g' autogen.sh
./autogen.sh

%build
%configure --disable-static --enable-gtk-doc
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog
%{_bindir}/clutter-scan-immodules
%{_libdir}/lib%{name}-0.1.so.0
%{_libdir}/lib%{name}-0.1.so.0.0.0

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-0.1
%{_libdir}/pkgconfig/%{name}-0.1.pc
%{_libdir}/*.so
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.4-2
- Spec file cleanups

* Thu Aug  6 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.4-1
- New 0.1.4 upstream release.
- license clarfied so remove spec file note
- remove upstreamed clutter patches

* Tue Aug  4 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.2-6
- Add some more clutter 1.0 bits

* Thu Jul 30 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.2-5
- Add a patch for clutter 1.0

* Sun Jul 26 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.2-4
- A small fix up

* Mon Jul 20 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.2-3
- More review request updates, license clarification

* Sun Jul 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.2-2
- Updates from the review request

* Wed Jul 15 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.2-1
- Initial packaging
